Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83059 - no grubby makes new-kernel-pkg error
Summary: no grubby makes new-kernel-pkg error
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mkinitrd
Version: 1.0
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-29 21:32 UTC by Guy Streeter
Modified: 2016-02-10 01:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-18 15:08:20 UTC


Attachments (Terms of Use)

Description Guy Streeter 2003-01-29 21:32:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
The new-kernel-pkg script exits with an error if there is no grubby. This causes
kernel postinstall script errors on ppc64.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install the kernel rpm
2.
3.
    

Actual Results:  error in postinstall scriptlet

Expected Results:  no error

Additional info:

By the way, it exits with success if 'verbose' is on.

The pSeries has yaboot, which in general can be treated like lilo.
On iSeries, the new kernel image has to be copied into the boot source for the B
and C sides.

Comment 1 Jeremy Katz 2003-02-04 17:44:39 UTC
Should be there in 3.4.39+, but needs testing

Comment 2 Guy Streeter 2005-07-08 14:32:40 UTC
I think it is safe to assume this is now fixed. I haven't seen this problem in
RHEL or Fedora in a long time.


Note You need to log in before you can comment on or make changes to this bug.